# pandas.Index.drop

Index.drop(labels, errors='raise')

  Make new Index with passed list of labels deleted.

  Parameters
    labels array-like
    errors{‘ignore’, ‘raise’}, default ‘raise’

      If ‘ignore’, suppress error and existing labels are dropped.

  Returns
    dropped Index

      Will be same type as self, except for RangeIndex.

  Raises
    KeyError

      If not all of the labels are found in the selected axis